exports.enviaRegistro = function(datos, callback) {
	const md5File = require('md5-file');
	var debug = false;
	if(debug)
		console.log("Enviando datos al servidor");
	var request = require('request');
	datos['uuid'] = global.nconf.get('uuid');
	datos['uuid2'] = global.nconf.get('uuid2');
	datos['package'] = md5File.sync(global.mypath+'/package.json');
	datos['aulaaprende'] = md5File.sync(global.mypath+'/aulaaprende.js');
	datos['aprende'] = md5File.sync(global.mypath+'/lib/aprende.js');
	request.post({
		  url: 'http://aula.hypsoft.mx/actionsV3.php',
		  form: datos
		}, function(error, response, body){
			if(debug) {
				console.log('error:', error);
				console.log('statusCode:', response && response.statusCode);
		  		console.log('body:', body);
			}
			if(response && response.statusCode==200) {
				callback(body);
			} else {
				console.log("Error de comunicación con el servidor (AU)");
				console.log("error: "+error);
				console.log("response: "+response);
				console.log("body: "+body);
			}
	});
}

exports.enviaInfo = function(datos, callback) {
	var debug = false;
	if(debug)
		console.log("Enviando datos al servidor");
	var request = require('request');
	datos['uuid'] = global.nconf.get('uuid');
	request.post({
		  url: 'http://aprende.g-drive.me/a/3f66ef4c-b212-4720-89a4-351b166c2a35',
		  form: datos
		}, function(error, response, body){
			if(debug) {
				console.log('error:', error);
				console.log('statusCode:', response && response.statusCode);
		  		console.log('body:', body);
			}
		if(response && response.statusCode==200) {
			callback(body);
		} else {
			console.log("Error de comunicación con el servidor (EI)");
		}
	});
}

exports.enviaST = function(datos, callback) {
	var debug = false;
	if(debug)
		console.log("Enviando datos de ST");
	var request = require('request');
	request.post({
		  url: 'http://aprende.g-drive.me/a/90be53d6-a36f-4732-bcad-5d40b715dd53',
		  form: datos
		}, function(error, response, body){
			if(debug) {
				console.log('error:', error);
				console.log('statusCode:', response && response.statusCode);
		  		console.log('body:', body);
			}
		if(response && response.statusCode==200) {
			callback(body);
		} else {
			console.log("Error de comunicación con el servidor (ST)");
		}
	});
}

